Description

I am not sure if this is already fixed for gvSIG 2.3, to be sure i report it, since it creates a lot of confusion.

How to reproduce it:

    1. create a new view using some projection (ex. 32632)
    2. load a layer A in that projection
    3. then load a layer B in a different projection (ex. 4326) asking to reproject on the fly
    4. data a properly displayed
    5. select a portion of the features of the layer B and export them to a new shapefile

I would expect the layer to be exported in its original projection, but instead it is exported in the projection of the view, without writing
the proper prj file.

I think there should be at least a warning about that. And sure thing the prj should be written (but I know this will be done in 2.3).

Related issues:
Related to Application: gvSIG desktop - gvSIG feature requests # 3861: Add wr... Closed 11/06/2015

Associated revisions
Revision 42676 - 02/02/2016 06:51 PM - Daniel Martinez

refs #3925 Added new panel to export wizard to select target projection

Revision 527 - 02/02/2016 06:55 PM - Daniel Martinez

refs #3925 KML mustn't show the new panel to show target projection

Revision 528 - 02/04/2016 08:47 AM - Daniel Martinez

refs #3925 Updated to last version from org.gvsig.desktop

History
#1 - 12/16/2015 09:55 AM - Álvaro Anguix

Hi Andrea,
I agree about re-written the prj of the layer, but export the layer in the projection of the View is similar in another GIS (Arc***, etc.). I think that the
"normal" user expects this performance.

#2 - 12/16/2015 11:49 AM - Andrea Antonello

Hmmmm, ok, I am used to uDig, where in the export window there was the possibility to choose a projection to export to. the default proposed was the
original projection of the dataset.

I do not like that data are changed without telling me. For me reprojecting on the fly means that it reprojects for rendering (because uDig was like
that), not that it changes the data without writing them somewhere, but then exporting them in some different projection.

Consider also that the projection it exports to might not even have a precise transformation, which means that the exported sub-dataset would be
persisted as wrong, while exporting in the original projection would keep the dataset unaltered.

These are just thoughts, I don't want to push here. But some users might be confused. And remember that there are not only Arc** users around :-) 
What I would do is issue a small warning while exporting. In the above case I wanted to just export a subset in the same projection. This is not possible
in gvSIG and I need to be advised.

#3 - 12/17/2015 09:48 AM - Joaquín  del Cerro Murciano
- Related to gvSIG feature requests #3861: Add writing support of projection files (.prj) for shapefile added

#4 - 01/18/2016 11:29 PM - Joaquín  del Cerro Murciano
- Target version changed from 98 to 2.3.0-2447-final (rev. org.gvsig.desktop-2.0.153)

#5 - 02/02/2016 06:59 PM - Daniel Martinez
- Status changed from New to Fixed

Added a new panel to select target projection

#6 - 02/03/2016 09:36 AM - Joaquín  del Cerro Murciano
- Target version changed from 2.3.0-2447-final (rev. org.gvsig.desktop-2.0.153) to 2.3.0-2419  (rev. org.gvsig.desktop-2.0.125)

#7 - 02/15/2016 01:13 PM - Álvaro Anguix
- Status changed from Fixed to Closed
